---
title: POST Patient
slug: post-patient
icon: 🟩
createdAt: 2022-03-23T01:57:46.000Z
---

**Important notes:**

- `externalPatientId`  is the field needed to tie the Patient in FeatherPay DB to the PMS Patient.  This ID represents the PMS Identifier field for that given patient.

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://gfp-api.acdev.io/api/v1/patients/external",
  "name": "Create / Update patient",
  "method": "POST",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [
      {
        "kind": "required",
        "name": "externalPatientId",
        "type": "string",
        "children": [],
        "description": "PMS Identifier for Patient"
      },
      {
        "kind": "required",
        "name": "firstName",
        "type": "string",
        "children": [],
        "description": "First Name of Patient"
      },
      {
        "kind": "required",
        "name": "lastName",
        "type": "string",
        "children": [],
        "description": "Last Name of Patient"
      },
      {
        "kind": "optional",
        "name": "email",
        "type": "string",
        "children": [],
        "description": "Email of Patient used for email communication"
      },
      {
        "kind": "optional",
        "name": "smsPhoneNumber",
        "type": "string",
        "children": [],
        "description": "SMS Phone Number used for text messaging"
      },
      {
        "kind": "optional",
        "name": "addressLine1",
        "type": "string",
        "children": [],
        "description": "Street Address of Patient"
      },
      {
        "kind": "optional",
        "name": "addressLine2",
        "type": "string",
        "children": [],
        "description": "Apt / Unit # of Patient's address"
      },
      {
        "kind": "optional",
        "name": "addressCity",
        "type": "string",
        "children": [],
        "description": "City of Patient's address"
      },
      {
        "kind": "optional",
        "name": "addressState",
        "type": "string",
        "children": [],
        "description": "State of Patient's address"
      },
      {
        "kind": "optional",
        "name": "addressZip",
        "type": "string",
        "children": [],
        "description": "Zip code of Patient's address"
      },
      {
        "kind": "optional",
        "name": "dateOfBirth",
        "type": "string",
        "children": [],
        "description": "(YYYY-MM-DD). Date of Birth for Patient."
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "c0f7bjPcqHaJiKYiBqEF0",
        "code": "{\n  \"externalPatientId\": \"307\",\n  \"featherPayPatientId\": \"01GR420KD08D388CDF62T8BKBE\"\n}\n",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "c0f7bjPcqHaJiKYiBqEF0"
  },
  "examples": {
    "languages": [
      {
        "id": "TsJH4BARuElrAzdNuPV8E",
        "code": "curl -X POST \\\n  --url 'https://gfp-api.acdev.io/api/v1/patients/external' \\\n  --header 'content-type: application/json;charset=UTF-8' \\\n  --header 'accept: application/json' \\\n  --header 'X-Api-Key: {Secret API Key}' \\\n  --header 'X-Store-Id: {Store ULID}' \\\n  --data-raw '\n  {\n    \"externalPatientId\": \"307\",\n    \"firstName\": \"John\",\n    \"lastName\": \"Snow\",\n    \"email\": \"the.white.wolf@winterfell.com\",\n    \"smsPhoneNumber\": \"+15556873509\",\n    \"addressLine1\": \"1 Castle\",\n    \"addressCity\": \"Winterfell\",\n    \"addressState\": \"GA\",\n    \"addressZip\": \"30030\",\n    \"dateOfBirth\": \"1990-03-20\"\n  }'",
        "language": "json",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "TsJH4BARuElrAzdNuPV8E"
  },
  "description": "From your backend code, create / update the patient with your store id and private key.",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  }
}
```
:::



